{: test a link error occurs for an external declaration when the parameters
   are incorrect }

{$d+}
program x003( output );

var
   x,y : real;

function pow(a : real;  b : real) : real; external;  { OK }
function tgamma(var a : real) : real; external;      { !!! incorrect parameter }

begin {x003}

   x := pow( 2, 2 );
   y := Tgamma( x );

   writeln( 'fails: incorrect parameter error not detected' );

end. {x003}

